package main

import junit.framework.TestCase.assertEquals
import org.junit.Test

class ParserTest {

    @Test
    fun testDelStrings() {
        val input = "This is a \"sample\" string."
        val output = delStrings(input)
        assertEquals("This is a  string.", output)
    }

    @Test
    fun testTakeOnlyJs() {
        val fileToTest = "src/test/kotlin/HTMLFileWithScript.html"
        val expectedJsCode = """
        function greet() {
            return "Hello from JavaScript!";
        }
        console.log(greet());""".trimIndent().replace("\\s+".toRegex(), " ")

        val output = takeOnlyJs(fileToTest).trimIndent().replace("\\s+".toRegex(), " ")
        assertEquals(expectedJsCode, output)
    }


}
